bug-hurd
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [PATCH 0 of 3] Making PyHurd build again under cython 0.14.1.


From: olafBuddenhagen
Subject: Re: [PATCH 0 of 3] Making PyHurd build again under cython 0.14.1.
Date: Fri, 8 Apr 2011 21:05:55 +0200
User-agent: Mutt/1.5.21 (2010-09-15)

Hi,

On Fri, Apr 08, 2011 at 04:21:25AM +0200, address@hidden wrote:

> This patch makes pyhurd build again under cython 0.14.1.

OK. I'm not sure why you Cc:ed it to me though... I don't even speak
Python :-)

You should rather Cc: it to Anatoly, who will (hopefully) be your
mentor...

> It is quite rough (copied a file from cython, needs to be included
> cleanly).

What would "included cleanly" mean? And why is it necessary?

> This included file is licensed under Apache 2.0, so PyHurd has to be
> switched to GPLv3 to avoid a license conflict

I already stated it on IRC, but for the record: I'm not sure this is
even possible. The rest of the Hurd can't be upgraded to v3, because of
the v2-only Linux code (mostly in pfinet). It all depends on whether the
Python bindings can be considered an independant work, or classify as
derived...

> (I adjusted the copyright header).

Was the original license "v2 or later"? Otherwise it's not up to you to
make that change :-)

Which brings up another matter: who owns the copyright on this? Did
Anatoly assign it to FSF? Otherwise it won't qualify for upstream
inclusion...

-antrik-



reply via email to

[Prev in Thread] Current Thread [Next in Thread]